Skip to main content
GET
/
consumers
/
{consumer_id}
/
pos
/
objectives
Get objectives
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/pos/objectives
{
  "items": [
    {
      "total": 123,
      "tax_amount": 123,
      "date": "2023-12-25"
    }
  ],
  "total": 1,
  "page": 2,
  "size": 2
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100
date_from
string<date>
required

Start date (inclusive) of the period to get payments from

date_to
string<date>
required

End date (inclusive) of the period to get payments from

location_id
string | null

Unique identifier of the location. If none passed, objectives from all locations will be returned unless the location was selected by the end-user

Response

Successful Response

items
ObjectivesItem · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1